<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/fic_droits.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_fic.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/func_mail.inc.php';
include_once '../classes/phpmailer/class.phpmailer.php';
include_once '../classes/phpmailer/class.smtp.php';
include_once '../inc/mail.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$codecocl = $_GET['co']; // Récupération code Contrat
$codeuser = valsession('code_log');

$retourliste = FALSE;

if ($codecocl <> '') {
    // MAJ de la fiche contrat client
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT * FROM `' . TBCOCL . "` WHERE `cocl_code` =  '" . $db->escape($codecocl) . "'";
    $row = $db->get_row($rech, ARRAY_A);
    if ($row) {
        extract($row);

        $cocl_nivrel++;

        $upd = 'UPDATE `' . TBCOCL;
        $upd .= "` SET `cocl_datemod`='" . $datea . "', `cocl_codemod`='" . $codeuser . "', `cocl_daterel`='" . $datea . "' ,";
        $upd .= "  `cocl_nivrel`='" . $cocl_nivrel . "' WHERE `cocl_code` = '" . $db->escape($codecocl) . "'";
        $db->query($upd);

        // Envoi d'email vers le client
        envoi_mail('', _('Renouvellement de votre contrat'), 'con', 'ren', 'xxx', 'cli', $codecocl, '', '', FALSE);
        // Envoi d'email vers l'agence
        if (valsession('niv_log') <> 4) {
            envoi_mail('', _('Proposition de renouvellement de contrat'), 'con', 'ren', 'xxx', 'age', $codecocl, '', '', FALSE);
        }
        // Envoi d'email vers le centre de gestion
        envoi_mail('', _('Proposition de renouvellement de contrat'), 'con', 'ren', 'xxx', 'cdg', $codecocl, '', '', TRUE);

        $msg = _('Renouvellement effectué');
    } else {
        $msg = 'Contrat inconnu';
        $retourliste = FALSE;
    }
    close_database();
} else {
    $msg = _('Contrat inconnu');
    $retourliste = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Renouvellement de contrat'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>
    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>
<body>

<?php
include_once '../inc/entete.inc.php';
cre_ent_form(_('RENOUVELLEMENT DE CONTRAT'), '', '', '', FALSE);
?>
<div align="center"><?php echo _('Contrat N°') . ' ' . $codecocl; ?></div>
<?php
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'coclenv_maj.php', _('Retour à la liste'), FALSE);
} else {
    // Envoi d'email vers le client
    envoi_mail('', _("Renouvellement d'un de vos contrats"), 'con', 'ren', 'xxx', 'cli', $codecocl, '', '', TRUE);
    pop_ret_auto($msg, 'ok', 'coclren_lst.php');
}
include_once 'pied.php';
?>
