<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_do.inc.php';
include_once '../inc/fic_st.inc.php';
include_once '../inc/fic_hum.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_co.inc.php';
include_once '../inc/fic_cocl.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../inc/fic_ot.inc.php';
include_once '../inc/fic_statut.inc.php';
include_once '../inc/fic_tec.inc.php';
include_once '../inc/fic_txt.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_time.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_fic.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/func_txtcm.inc.php';
include_once '../inc/func_mail.inc.php';
include_once '../classes/phpmailer/class.phpmailer.php';
include_once '../classes/phpmailer/class.smtp.php';
include_once '../inc/mail.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$retourok = TRUE;

if (CheckNivLog('9')) {
    $msg = '';

    // Variables Formulaire
    $code = str_majuscules(valget('co'));
    $codeuser = valget('code_log');

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT * FROM `' . TBOPE . "` WHERE `ope_code` = '" . $db->escape($code) . "'";
    $row = $db->get_row($rech, ARRAY_A);
    if ($row) {
        extract($row);

        // On supprime la date de départ de cet Opérateur
        $rech2 = 'UPDATE `' . TBOPE . "` SET `ope_datemod`='" . $datea . "',";
        $rech2 .= " `ope_dateout`='', `ope_out`='0'";
        $rech2 .= " WHERE `ope_code` = '" . $db->escape($code) . "'";
        $db->query($rech2);

        // Réactivation du mot de passe rattaché
        $rech2 = 'UPDATE `' . TBPW . "` SET `pw_actif`='1'  WHERE `pw_code` = '" . $db->escape($code) . "'";
        $db->query($rech2);

        $msg = _('Compte opérateur') . ' ' . $code . ' ' . _('réouvert');
    } else {
        $msg = _("Cet opérateur n'existe pas");
        $retourok = FALSE;
    }
    close_database();
} else {
    $msg = _("Vous n'avez pas le droit de réouvrir un compte opérateur");
    $retourok = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Réouverture Compte Opérateur'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

</head>
<body>
<?php
cre_ent_form(_('REOUVERTURE COMPTE OPERATEUR'), '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
} else {
    exec_func_js("pop_txt('" . str_escape($msg) . "')");
}

close_fen_auto('', '', 'window.opener.');
?>
</body>
</html>
