<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/config.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_txt.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

// Récupération du code contrat type
$co = $_GET['co'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Contrats Possibles'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autosubmit('co', 'change', 'dde_co');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<?php
include_once '../inc/entete.inc.php';
cre_ent_form(_('NOS OFFRES DE CONTRATS'), '', '', '', FALSE);
?>
<!-- Formulaire de demande du type de contrat -->
<form name="dde_co" id="dde_co" method="GET" action="co_disp.php">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td>
                <?php
                // création de la liste des contrats
                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                $rech = 'SELECT * FROM `' . TBCO . "` WHERE `co_actif` = '1' ORDER BY co_nom";
                $rows = $db->get_results($rech, ARRAY_A);
                close_database();
                cre_select_tab('co', 'co', $rows, 'co_code', 'co_nom', '', '', '', _('-- Faites votre choix --'));
                ?>
            </td>
        </tr>
    </table>
</form>
<!-- Fin de formulaire de demande du type de contrat -->
<div id="detco">
    <?php
    if (isset($_GET['co']) && (!empty($_GET['co']))) {
        ?>
        <div id="detco_titreombre">
            <?php
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
            $rech = 'SELECT co_desc FROM `' . TBCO . "` WHERE `co_code` = '" . $db->escape($co) . "'";
            $row = $db->get_row($rech, ARRAY_A);
            if ($row) {
                $row = encode_str($row);
                extract($row);
                echo formatetxt($co_desc);
            } else {
                echo '&nbsp;';
            }
            close_database();
            ?>
        </div>
        <?php
    }
    ?>
    <span class="annot_std_it">
<?php
$row = lit_enr_txt('CON_PUBCPR');
if (is_array($row)) {
    $row = encode_str($row);
    echo formatetxt($row['txt_texte']);
} else {
    echo '&nbsp;';
}
?>
</span>
</div>
<?php
/** @noinspection PhpIncludeInspection */
include_once 'pied.php';
?>
</body>
</html>