<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

?>
<br/>
<!--- Formulaire de Recherche Fichiers Internes -->
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="GET" name="downr" id="downr">
    <input name="dir" type="hidden" id="dir" value="<?php echo valget('dir'); ?>">
    <input name="cc" type="hidden" id="cc" value="<?php echo valget('cc') ?>">
    <input name="ci" type="hidden" id="ci" value="<?php echo valget('ci') ?>">
    <input name="tx" type="hidden" id="tx" value="<?php echo valget('tx') ?>">
    <table width="100%" border="0" cellspacing="0">
        <tr>
            <td align="right" class="annot_std_gras">
                <?php echo _('Texte recherché (sur le nom)') . ' : '; ?>
            </td>
            <td>
                <input type="text" name="search" id="search" value="<?php if (!empty($_GET['search'])) {
                    echo $_GET['search'];
                } ?>">
            </td>
        </tr>
        <tr>
            <td align="right" class="annot_std_gras">
                <?php echo _('Filtre sur date') . ' : '; ?>
            </td>
            <td>
                <?php
                cre_select('ope', 'ope', $fictec_trech, valget('ope'), '', '', 1, FALSE, '', '', TRUE);
                ?>
                <input name="date" type="text" id="date" value="<?php echo valget('date') ?>" size="10" maxlength="10"
                       readonly="1">
            </td>
        </tr>
    </table>
    <p align="center">
        <?php
        echo '<input name="rech" type="submit" class="bton_std" id="rech" value="' . 'Rechercher' . '">';
        echo '<input type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
        ?>
    </p>
</form>
<br/>
<!--- Fin du Formulaire de Recherche -->
